Bug 1024929 - CLI - "system packages --install_groups" does not check package group
CLI - "system packages --install_groups" does not check package group
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Mike McCune
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 11:21 EDT by Hayk Hovsepyan
Modified: 2014-06-19 15:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-03 14:06:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2013-10-30 11:21:14 EDT
Description of problem:
CLI command "system packages --install_groups" does not check is provided package group name exists in environment.

Version-Release number of selected component (if applicable):
Katello-Katello-Installation-RegisterRHNClassic-1.1-4.noarch
Katello-Katello-Configuration-KatelloClient-1.1-53.noarch
pulp-rpm-handlers-2.3.0-0.24.beta.el6sat.noarch
foreman-postgresql-1.3.0-20.el6sat.noarch
pulp-selinux-2.3.0-0.24.beta.el6sat.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
python-ldap-2.3.10-1.el6.x86_64
openldap-2.4.23-31.el6.x86_64
pulp-rpm-plugins-2.3.0-0.24.beta.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
signo-katello-0.0.23-2.el6sat.noarch
katello-glue-candlepin-1.4.6-49.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
Katello-Katello-Installation-Satellite6Latest-1.0-13.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
apr-util-ldap-1.3.9-3.el6_0.1.x86_64
katello-qpid-broker-key-pair-1.0-1.noarch
foreman-1.3.0-20.el6sat.noarch
katello-cli-1.4.3-27.el6sat.noarch
katello-configure-1.4.7-7.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.24.beta.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-parent-2.3.0-0.24.beta.el6sat.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-0.8.25-1.el6sam.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-common-1.4.6-49.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-glue-pulp-1.4.6-49.el6sat.noarch
katello-all-1.4.6-49.el6sat.noarch
katello-configure-foreman-1.4.7-7.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
foreman-proxy-1.3.0-3.el6sat.noarch
candlepin-cert-consumer-poseidon.usersys.redhat.com-1.0-1.noarch
katello-agent-1.4.4-3.el6sat.noarch
katello-cli-common-1.4.3-27.el6sat.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
pulp-server-2.3.0-0.24.beta.el6sat.noarch
pulp-nodes-common-2.3.0-0.24.beta.el6sat.noarch
katello-glue-elasticsearch-1.4.6-49.el6sat.noarch
katello-1.4.6-49.el6sat.noarch
katello-foreman-all-1.4.6-49.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
Katello-Katello-Installation-HammerCLI-1.0-9.noarch
signo-0.0.23-2.el6sat.noarch
Katello-Katello-Sanity-ImportKeys-1.2-1.noarch

How reproducible:
always

Steps to Reproduce:
1. Create product, repo (zoo), promote it to Dev environment, sync the repo.
2. Create content definition, add  filter to it and add Package Group Excludes rule to exclude "birds" group from Dev environment.
3.Publish the content definition and promote content view to Dev environment.
4. Create activation key by adding content view into it.
5. Register a client by activation key, subscribe to zoo pool.
6. Try to install "birds" group on system by CLI command "system packages --install_groups birds --org --name". It will show output: "Remote action finished:No new packages installed".
7. Try to install some non existing "wrong" group on system by CLI command "system packages --install_groups wrong --org --name". Again ,it will show output: "Remote action finished:No new packages installed".

Actual results:
in any case when group name is does not exists in repo or is filtered, it's installation shows message "Remote action finished:No new packages installed".

Expected results:
it shout have output that package group is not available in environment and content view.

Additional info:
for existing group which is promoted to environment it works wine.
Comment 3 Bryan Kearney 2014-06-03 14:06:29 EDT
this command no longer exists. I am closing it. Please feel free to re-open if you have concerns.

Note You need to log in before you can comment on or make changes to this bug.